classification
Title: Document is_annotate() in symtable and update doc strings
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: adelfino, docs@python, nanjekyejoannah, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2020-07-07 00:49 by nanjekyejoannah, last changed 2020-12-31 13:50 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21369 merged nanjekyejoannah, 2020-07-07 00:51
PR 23861 merged adelfino, 2020-12-29 12:35
PR 24016 merged adelfino, 2020-12-30 23:10
PR 24017 merged adelfino, 2020-12-30 23:12
Messages (6)
msg373200 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python committer) Date: 2020-07-07 00:49
The function is_annotated() in symtable is not documented. Am using this
opportunity to also add docstrings to the methods that didnot have them already.
msg373263 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python committer) Date: 2020-07-07 23:09
New changeset a95ac779e6bca0d87819969e361627182b83292c by Joannah Nanjekye in branch 'master':
bpo-41224: Document is_annotated() in symtable module and update doc strings (GH-21369)
https://github.com/python/cpython/commit/a95ac779e6bca0d87819969e361627182b83292c
msg384001 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-12-29 13:32
New changeset 2edfc86f69d8a74f4821974678f664ff94a9dc22 by Andre Delfino in branch 'master':
bpo-41224: Add versionadded for Symbol.is_annotated (GH-23861)
https://github.com/python/cpython/commit/2edfc86f69d8a74f4821974678f664ff94a9dc22
msg384002 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-12-29 13:36
The method was added in 3.6. Please backport documentation changes to 3.9 and 3.8.
msg384115 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-12-31 13:10
New changeset 7a7f3e0d6a197c81fff83ad777c74324ceb4198f by Andre Delfino in branch '3.9':
[3.9] bpo-41224: Add versionadded for Symbol.is_annotated (GH-23861). (GH-24017)
https://github.com/python/cpython/commit/7a7f3e0d6a197c81fff83ad777c74324ceb4198f
msg384116 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-12-31 13:10
New changeset bc15cdbc6eb112cb72acf189769ecd539dd45652 by Andre Delfino in branch '3.8':
[3.8] bpo-41224: Add versionadded for Symbol.is_annotated (GH-23861). (GH-24016)
https://github.com/python/cpython/commit/bc15cdbc6eb112cb72acf189769ecd539dd45652
History
Date User Action Args
2020-12-31 13:50:01serhiy.storchakasetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.7
2020-12-31 13:10:49serhiy.storchakasetmessages: + msg384116
2020-12-31 13:10:17serhiy.storchakasetmessages: + msg384115
2020-12-30 23:12:48adelfinosetpull_requests: + pull_request22857
2020-12-30 23:10:30adelfinosetstage: needs patch -> patch review
pull_requests: + pull_request22856
2020-12-29 13:36:34serhiy.storchakasetstatus: closed -> open

stage: resolved -> needs patch
messages: + msg384002
versions: + Python 3.8, Python 3.9, - Python 3.10
2020-12-29 13:32:18serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg384001
2020-12-29 12:35:13adelfinosetnosy: + adelfino

pull_requests: + pull_request22838
2020-07-07 23:10:29nanjekyejoannahsetstatus: open -> closed
stage: patch review -> resolved
2020-07-07 23:09:59nanjekyejoannahsetmessages: + msg373263
2020-07-07 00:51:27nanjekyejoannahsetkeywords: + patch
stage: patch review
pull_requests: + pull_request20514
2020-07-07 00:50:27nanjekyejoannahsettitle: Document is_annotated() in the symtable module -> Document is_annotate() in symtable and update doc strings
2020-07-07 00:49:29nanjekyejoannahcreate